Subject: Re: [netmod] draft-ietf-netmod-rfc6087bis-05.txt

From: Benoit Claise <[email-masked]>
Date: Thu, 26 Nov 2015 19:27:43 +0100

Andy,
> Robert Wilton <[email-masked]> wrote:
>> Hi,
>>
>> I have one question related to "5.1.  Module Naming Conventions".
>>
>> Currently, the YANG modules that I have included as part of my
>> individual IDs don't currently use an "ietf-" prefix because the
>> drafts haven't been adopted as WG documents yet.
>>
>> However, this means that the pyang tool throws up a warning for this.
>> E.g.
>> [email-masked]:1: warning: RFC 6087: 4.1: no module
>> name prefix used, suggest ietf-interfaces-common
>>
>> So, am I right in not including the ietf prefix for non WG adopted
>> drafts?  If so, should the above warning in pyang be made
>> informational instead?
> I think it wiuld be useful if 6087bis provided guidelines for these
> kinds of modules as well.
>
> That said, I think that pyang --ietf should still flag this as an
> error.  When checking a non-WG module, use --lint instead of --ietf.
Section 4.9 mentions:

      4.9
      <https://tools.ietf.org/html/draft-ietf-netmod-rfc6087bis-05#section-4.9>.
      Validation Tools

    All modules need to be validated before submission in an Internet
    Draft.  The 'pyang' YANG compiler is freely available from github:

       https://github.com/mbj4668/pyang

    If the 'pyang' compiler is used, then the "--ietf" command line
    option SHOULD be used to identify any IETF guideline issues.

You might want to insert the new pyang --lint options for other SDOs.

Regards, Benoit
>
>
> /martin
>
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod
> .
>